summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-04-18 12:40:20 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-04-18 16:29:37 +0200
commit77996f0bd46af757187d387e251f25fdf21a33f8 (patch)
tree18c9cc45de05d82b4e08b5966b62d51dc802872e /kde-apps/artikulate
parentwww-client/opera-beta: Old (diff)
downloadgentoo-77996f0bd46af757187d387e251f25fdf21a33f8.tar.gz
gentoo-77996f0bd46af757187d387e251f25fdf21a33f8.tar.bz2
gentoo-77996f0bd46af757187d387e251f25fdf21a33f8.zip
kde-apps: Add KDE Applications 19.04.0
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'kde-apps/artikulate')
-rw-r--r--kde-apps/artikulate/Manifest1
-rw-r--r--kde-apps/artikulate/artikulate-19.04.0.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/kde-apps/artikulate/Manifest b/kde-apps/artikulate/Manifest
index b237383a37f..06142ba12bc 100644
--- a/kde-apps/artikulate/Manifest
+++ b/kde-apps/artikulate/Manifest
@@ -1 +1,2 @@
DIST artikulate-18.12.3.tar.xz 3985708 BLAKE2B 04bc255cf4554bca9fd2579eec1a0860f17c20ccc7ee9bd539976095badd2dcfd255a5025e664cc0a831472d9812ac1d759725dee7d4be8e1bf34e66f5d6d3d2 SHA512 cab931686929a73a3fea25a6718818514a0216b096431f972cfc494e7df754a701a8d4c61874d6914bf8331c0b944b2053a5003bf7bf01901bf2fe79cdf7eba8
+DIST artikulate-19.04.0.tar.xz 3986252 BLAKE2B 59bea8e7b75cd0d54d63c2f38edba03f1ff4745df8cae3f2aa242601d5cf87c2ea4703089671c358a47423de2c4645988247ea25282bb8d010396e6b830d9c14 SHA512 99ece4a46b52180a37b8812788a5caa2c43a4e20eaeba73f115622b14e7bc64bb39a8d44f794fa342628c3739c9fcda9e81de60f326e1778c7e4f5e3b8196faf
diff --git a/kde-apps/artikulate/artikulate-19.04.0.ebuild b/kde-apps/artikulate/artikulate-19.04.0.ebuild
new file mode 100644
index 00000000000..28f387134ee
--- /dev/null
+++ b/kde-apps/artikulate/artikulate-19.04.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_HANDBOOK="optional"
+inherit kde5
+
+DESCRIPTION="Language learning application that helps improving pronunciation skills"
+HOMEPAGE="https://edu.kde.org/applications/language/artikulate"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+gstreamer qtmedia"
+
+REQUIRED_USE="|| ( gstreamer qtmedia )"
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtsql)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ $(add_qt_dep qtxmlpatterns)
+ gstreamer? ( >=media-libs/qt-gstreamer-1.2.0[qt5(+)] )
+ qtmedia? ( $(add_qt_dep qtmultimedia) )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_GSTREAMER_PLUGIN=$(usex gstreamer)
+ -DBUILD_QTMULTIMEDIA_PLUGIN=$(usex qtmedia)
+ )
+
+ kde5_src_configure
+}